extern crate git2;

use git2::Repository;

fn main() {
    let sfml = match Repository::open("third-party/sfml") {
        Ok(repo) => repo,
        Err(_) => {
            Repository::clone("https://github.com/sfml/sfml", "third-party/sfml")
                .expect("Couldn't clone SFML")
        }
    };

    let csfml = match Repository::open("third-party/csfml") {
        Ok(repo) => repo,
        Err(_) => {
            Repository::clone("https://github.com/sfml/csfml", "third-party/csfml")
                .expect("Couldn't clone CSFML")
        }
    };

}
